> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List companies

> List companies, most recently created first by default.

Lists the companies of the workspace, most recently created first by default.


## OpenAPI

````yaml GET /v1/companies
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/companies:
    get:
      description: List companies, most recently created first by default.
      operationId: getV1Companies
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            description: >-
              Paginate the results starting at the cursor returned by a previous
              call.
        - in: query
          name: limit
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
            description: Return at most "limit" results.
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - created_asc
              - created_desc
              - last_interaction_asc
              - last_interaction_desc
              - name_asc
              - name_desc
            default: created_desc
            description: Sort results according to specified rule.
      responses:
        '200':
          description: Companies were successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      companies:
                        type: array
                        items:
                          $ref: '#/components/schemas/ApiCompany'
                      pagination:
                        type: object
                        properties:
                          nextCursor:
                            type: string
                          totalCount:
                            type: number
                        required:
                          - totalCount
                    required:
                      - companies
                      - pagination
                required:
                  - result
components:
  schemas:
    ApiCompany:
      type: object
      properties:
        companyId:
          type: string
          description: The company identifier.
        contactIds:
          type: array
          items:
            type: string
          description: The identifiers of the contacts associated with the company.
        createdAt:
          type: string
          description: The company creation date (ISO datetime).
        crmUrl:
          type: string
          description: The URL of the company in the connected CRM.
        dealIds:
          type: array
          items:
            type: string
          description: The identifiers of the deals associated with the company.
        domains:
          type: array
          items:
            type: string
          description: The company domains.
        lastInteraction:
          type: object
          properties:
            interactedAt:
              type: string
              description: >-
                The date of the last interaction with the company (ISO
                datetime).
            source:
              type: object
              properties:
                kind:
                  type: string
                  enum:
                    - Email
                    - Meeting
                  description: The kind of interaction.
              required:
                - kind
              description: The source of the last interaction.
          required:
            - interactedAt
            - source
          description: The last interaction with the company.
        name:
          type: string
          description: The company name.
        source:
          oneOf:
            - type: object
              properties:
                kind:
                  type: string
                  const: Attio
                attioId:
                  type: string
                attioWorkspaceId:
                  type: string
              required:
                - kind
                - attioId
                - attioWorkspaceId
            - type: object
              properties:
                kind:
                  type: string
                  const: Domain
                domain:
                  type: string
              required:
                - kind
                - domain
            - type: object
              properties:
                kind:
                  type: string
                  const: Hubspot
                hubspotId:
                  type: string
                hubspotWorkspaceId:
                  type: string
              required:
                - kind
                - hubspotId
                - hubspotWorkspaceId
            - type: object
              properties:
                kind:
                  type: string
                  const: Pipedrive
                pipedriveId:
                  type: number
                pipedriveWorkspaceId:
                  type: number
              required:
                - kind
                - pipedriveId
                - pipedriveWorkspaceId
            - type: object
              properties:
                kind:
                  type: string
                  const: Salesforce
                salesforceId:
                  type: string
                salesforceWorkspaceId:
                  type: string
              required:
                - kind
                - salesforceId
                - salesforceWorkspaceId
          description: >-
            The source the company originates from, and its identifiers in that
            source. Companies come from a connected CRM or are derived from a
            domain.
        updatedAt:
          type: string
          description: The company last update date (ISO datetime).
        workspaceId:
          type: string
          description: The workspace identifier.
      required:
        - companyId
        - contactIds
        - createdAt
        - dealIds
        - domains
        - name
        - source
        - updatedAt
        - workspaceId
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````